 #include <stdio.h>

int main()
{
  
  int n = 0;
  int i,g,h;
  
  scanf("%d",&n);
  
  if(n <= 0)
  {
    
   printf("-1");
   
   return 0;
    
  }
  
  int k = 2 * n -1;
  int op = 0;
  
  for(i = 0;i<n;i++)
  {
   
    for(h = 0;h<2 * n -1;h++)
    {
      
      if(h == i) printf("*");

      else if(h > i && h < k - i) 
      {
	
	if (op == 1)
	{
	  printf("*"); op = 0; 
	}
	else
	{
	  printf("-"); op = 1;
	}
	
      }
      
      else printf(" ");
      
    }
    
    printf("\n");
    
  }
      
      
  
  return 0;
}
